- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
libvisio::VSDOpenParagraphOutputElement Class Reference
Inheritance diagram for libvisio::VSDOpenParagraphOutputElement:

## Public Member Functions
| VSDOpenParagraphOutputElement (const librevenge::RVNGPropertyList &propList)
virtual | ~VSDOpenParagraphOutputElement ()
virtual void | draw (librevenge::RVNGDrawingInterface *painter)
virtual VSDOutputElement * | clone ()
Public Member Functions inherited from libvisio::VSDOutputElement
| VSDOutputElement ()
virtual | ~VSDOutputElement ()

## Private Attributes
librevenge::RVNGPropertyList | m_propList

## Constructor & Destructor Documentation

libvisio::VSDOpenParagraphOutputElement::VSDOpenParagraphOutputElement | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by clone().

virtual libvisio::VSDOpenParagraphOutputElement::~VSDOpenParagraphOutputElement | ( |  | ) |
| inline virtual

## Member Function Documentation

virtual VSDOutputElement* libvisio::VSDOpenParagraphOutputElement::clone | ( |  | ) |
| inline virtual

Implements libvisio::VSDOutputElement.

void libvisio::VSDOpenParagraphOutputElement::draw | ( | librevenge::RVNGDrawingInterface * | painter | ) |
| virtual

Implements libvisio::VSDOutputElement.

## Member Data Documentation

librevenge::RVNGPropertyList libvisio::VSDOpenParagraphOutputElement::m_propList
| private

Referenced by clone().

The documentation for this class was generated from the following file:

- VSDOutputElementList.cpp